<template lang="pug">
.col
  .text-h5.ellipsis.row.items-center {{ call.topic }}
  .text-h6.text-grey.text-weight-light {{ startLess }} {{ countOfOthersInGroup && countOfOthersInGroup > 0 ? ` + ${countOfOthersInGroup} more recurring` : '' }}
  .row
    q-chip(dense)
      q-avatar(color="secondary", text-color="white", icon="schedule")
      span {{ duration }}
    q-chip(dense, v-if="call.noOfBreakoutRooms")
      q-avatar(color="secondary", text-color="white", icon="people")
      span {{ call.noOfBreakoutRooms }} Rooms
  .text-red.q-pt-md(v-if="call.deleted") This Zoom meeting was Deleted on {{ deletedFull }}
</template>
<script>
import moment from "moment-timezone";
const timezone = moment.tz.guess();

export default {
  props: {
    // The call to render the details of
    call: { required: true },
    // Sometimes, we are rendering the details of one call
    // in a group of calls. If so, this is the count of other
    // calls in the group
    countOfOthersInGroup: { required: false, type: Number },
  },
  computed: {
    duration() {
      return moment
        .duration(moment(this.call.endTime).diff(moment(this.call.startTime)))
        .humanize();
    },
    startLess() {
      return moment(this.call.startTime)
        .tz(timezone)
        .format("Do MMMM \\a\\t h:mma");
    },
    deletedFull() {
      return moment(this.call.deleted)
        .tz(timezone)
        .format("Do MMMM \\a\\t h:mma");
    },
  },
};
</script>